Retrieve workspace files with optional search, filtering, and pagination
Authentication: required
Required API Scope: Workspace File: Read
curl --request GET \
--url https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/file \
--header 'Authorization: Bearer <token>'{
"curPage": 123,
"nextPage": 123,
"prevPage": 123,
"items": [
{
"id": 10095,
"created_at": "2023-04-19 21:01:32+0000",
"name": "file_example_MP3_1MG.mp3",
"size": 1087849,
"type": "audio",
"mime": "audio/mpeg",
"access": "public",
"path": "/vault/Ramtdv50/3TA6XKsmLe-2BigGnwxSb0v00sI/qSWtbg../file_example_MP3_1MG.mp3"
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
public, private created_at, name, size, mime asc, desc Was this page helpful?
curl --request GET \
--url https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/file \
--header 'Authorization: Bearer <token>'{
"curPage": 123,
"nextPage": 123,
"prevPage": 123,
"items": [
{
"id": 10095,
"created_at": "2023-04-19 21:01:32+0000",
"name": "file_example_MP3_1MG.mp3",
"size": 1087849,
"type": "audio",
"mime": "audio/mpeg",
"access": "public",
"path": "/vault/Ramtdv50/3TA6XKsmLe-2BigGnwxSb0v00sI/qSWtbg../file_example_MP3_1MG.mp3"
}
]
}